conditional.hpp File Reference

Structures for meta-programming. More...

Go to the source code of this file.

## Classes

struct | claw::meta::if_then_else< true, ThenPart, ElsePart >
| Specialization for the case where the condition evaluates to true. More...
struct | claw::meta::if_then_else< false, ThenPart, ElsePart >
| Specialization for the case where the condition evaluates to false. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::meta
| Structures for meta-programmation.

## Detailed Description

Structures for meta-programming.

Author
  Julien Jorge

Definition in file conditional.hpp.